<mamecheat version="1">

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@2103=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>Normal Collisions</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@4624</action>
    </script>
    <script state="run">
      <action>maincpu.mb@4624=C9</action>
    </script>
    <script state="off">
      <action>maincpu.mb@4624=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>Rock</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@4931</action>
    </script>
    <script state="run">
      <action>maincpu.mb@4931=18</action>
    </script>
    <script state="off">
      <action>maincpu.mb@4931=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>Arrows</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@4DBD</action>
    </script>
    <script state="run">
      <action>maincpu.mb@4DBD=18</action>
    </script>
    <script state="off">
      <action>maincpu.mb@4DBD=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>Piranhas</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@4B08</action>
    </script>
    <script state="run">
      <action>maincpu.mb@4B08=18</action>
    </script>
    <script state="off">
      <action>maincpu.mb@4B08=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Maximum Bonus Score">
    <script state="run">
      <action>maincpu.pb@210B=80</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test">
    <script state="on">
      <action condition="maincpu.pb@2012==00">maincpu.pb@2012=01</action>
    </script>
    <parameter min="1" max="30" step="1"/>
    <script state="change">
      <action condition="(temp1==0)">temp1=8051</action>
      <action>temp0=8050+param</action>
      <action>slave.pb@temp1=FF</action>
      <action>slave.pb@temp0=01</action>
      <action>temp1=temp0</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
